---
title: "deleted_users"
slug: "deleted-users-2"
updated: 2024-10-25T11:02:05Z
published: 2024-10-25T11:02:05Z
canonical: "docs.voiso.com/deleted-users-2"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiso.com/llms.txt
> Use this file to discover all available pages before exploring further.
# deleted_users
Get/api/v2/cdr/deleted_agents
Returns a list of all deleted agent names and IDs based on your API key and user API key.
Query parameterskeystringRequired
The [API key of a specific user](https://developers.voiso.com/#/rest/getting-started/authentication#how-to-obtain-the-user_api_key).
Exampleuser_api_key
Responses200
Success
example1
Users parameters
All of the deleted users id and name
```json
{
"name": "Sally",
"id": 28982
}
```
object
Array of id and name
Example{
"name": "Sally",
"id": 28982
}
400
Invalid query parameters
Invalid or nonexistent User API Key
```json
{
"error": "Invalid User API Key"
}
```
Example{
"error": "Invalid User API Key"
}